export declare enum RequestInputType {
    RouteParam = "route params",
    QueryString = "querystring",
    RequestBody = "request body",
    RequestHeader = "request header"
}
export declare class KoaRuntimeError extends Error {
    readonly phase: "request_validation" | "request_handler" | "response_validation";
    private constructor();
    static RequestError(cause: unknown, inputType: RequestInputType): KoaRuntimeError;
    static HandlerError(cause: unknown): KoaRuntimeError;
    static ResponseError(cause: unknown): KoaRuntimeError;
    static isKoaError(err: unknown): err is KoaRuntimeError;
}
